package org.processmining.causalactivitygraphcreator.connections;

import org.processmining.causalactivitygraph.models.CausalActivityGraph;
import org.processmining.causalactivitygraphcreator.parameters.GraphCreatorsParameters;
import org.processmining.causalactivitymatrix.models.CausalActivityMatrix;
import org.processmining.framework.connections.impl.AbstractConnection;

public class GraphCreatorsConnection extends AbstractConnection {

	public final static String MATRIX = "Matrix";
	public final static String GRAPH = "Graph";

	private GraphCreatorsParameters parameters;

	public GraphCreatorsConnection(CausalActivityMatrix matrix,
			CausalActivityGraph graph, GraphCreatorsParameters parameters) {
		super("Graph Creators Connection");
		put(MATRIX, matrix);
		put(GRAPH, graph);
		this.parameters = new GraphCreatorsParameters(parameters);
	}

	public GraphCreatorsParameters getParameters() {
		return parameters;
	}
}
