package org.processmining.causalactivitygraphcreator.dialogs;

import info.clearthought.layout.TableLayout;
import info.clearthought.layout.TableLayoutConstants;

import java.util.ArrayList;
import java.util.List;

import javax.swing.JPanel;

import org.processmining.causalactivitygraphcreator.creators.GraphCreator;
import org.processmining.causalactivitygraphcreator.creators.GraphCreatorManager;
import org.processmining.causalactivitygraphcreator.parameters.GraphCreatorsParameters;
import org.processmining.causalactivitymatrix.models.CausalActivityMatrix;

public class GraphCreatorsDialog extends JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 8119475165162594625L;

	public GraphCreatorsDialog(CausalActivityMatrix matrix, GraphCreatorsParameters parameters) {
		double size[][] = { { TableLayoutConstants.FILL }, { TableLayoutConstants.FILL} };
		setLayout(new TableLayout(size));
		List<String> availableCreators = new ArrayList<String>();
		for (GraphCreator creator: GraphCreatorManager.getInstance().getCreators()) {
			availableCreators.add(creator.getName());
		}
		parameters.setCreator(GraphCreatorManager.getInstance().getCreator(null).getName());
		add(new CreatorPanel(availableCreators, parameters), "0, 0");
	}
}
