package org.processmining.causalactivitygraphcreator.parameters;

import org.processmining.basicutils.parameters.impl.PluginParametersImpl;
import org.processmining.causalactivitygraphcreator.creators.GraphCreatorManager;
import org.processmining.causalactivitymatrix.models.CausalActivityMatrix;

public class GraphCreatorsParameters extends PluginParametersImpl {

	private String creator;

	public GraphCreatorsParameters(CausalActivityMatrix matrix) {
		super();
		setCreator(GraphCreatorManager.getInstance().getCreator(null).getName());
	}
	
	public GraphCreatorsParameters(GraphCreatorsParameters parameters) {
		super(parameters);
		setCreator(parameters.getCreator());
	}
	
	public boolean equals(Object object) {
		if (object instanceof GraphCreatorsParameters) {
			GraphCreatorsParameters parameters = (GraphCreatorsParameters) object;
			return super.equals(parameters) && getCreator().equals(parameters.getCreator());
		}
		return false;
	}
	
	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}	
}
